<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>optionsDict &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>optionsDict
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 2.5% of total for derived types.</p>Including implementation: 364 statements,  3.0% of total for derived types.">27 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/flubioOptionsDict.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/flubiooptionsdict.f03.html'>flubioOptionsDict.f03</a></li>
    
     <li><a href='../module/options.html'>options</a></li>
    
  
     <li class="active">optionsDict</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-nonorthmethod">nonOrthMethod</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-interpopt">interpOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-gradopt">gradOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-convopt">convOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-ncorr">nCorr</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-git">git</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-skwopt">skwOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-forceopt">forceOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-gradlim">gradLim</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-gradientfacelimiter">gradientFaceLimiter</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-relaxvelocitycorrection">relaxVelocityCorrection</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-klim">kLim</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-lambda">lambda</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-numberofmomcorr">numberOfMomCorr</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-consistent">consistent</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-urfcorr">urfCorr</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-volumesources">volumeSources</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-volumesourcenames">volumeSourceNames</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setoptions">setOptions</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-settimeschemeoption">setTimeSchemeOption</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setconvectionimplicit">setConvectionImplicit</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setconvectionoption">setConvectionOption</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setboundedcorrection">setBoundedCorrection</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setprimecorrections">setPrimeCorrections</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public, extends(generalDict) :: optionsDict</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~optionsdict~~InheritsGraph Pages: 1 -->
<svg id="typeoptionsdictInheritsGraph" width="176pt" height="32pt"
 viewBox="0.00 0.00 176.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~optionsdict~~InheritsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>type~~optionsdict~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 172,-28 172,4 -4,4"/>
<!-- type~optionsdict -->
<g id="type~~optionsdict~~InheritsGraph_node1" class="node">
<title>type~optionsdict</title>
<polygon fill="none" stroke="#000000" points="168,-24 103,-24 103,0 168,0 168,-24"/>
<text text-anchor="middle" x="135.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">optionsDict</text>
</g>
<!-- generalDict -->
<g id="type~~optionsdict~~InheritsGraph_node2" class="node">
<title>generalDict</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="67,-24 0,-24 0,0 67,0 67,-24"/>
<text text-anchor="middle" x="33.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">generalDict</text>
</g>
<!-- type~optionsdict&#45;&gt;generalDict -->
<g id="type~~optionsdict~~InheritsGraph_edge1" class="edge">
<title>type~optionsdict&#45;&gt;generalDict</title>
<path fill="none" stroke="#000000" d="M102.9461,-12C94.822,-12 85.9761,-12 77.4031,-12"/>
<polygon fill="#000000" stroke="#000000" points="77.1482,-8.5001 67.1481,-12 77.1481,-15.5001 77.1482,-8.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-nonorthmethod">nonOrthMethod</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-interpopt">interpOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-gradopt">gradOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-convopt">convOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-ncorr">nCorr</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-git">git</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-skwopt">skwOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-forceopt">forceOpt</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-gradlim">gradLim</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-gradientfacelimiter">gradientFaceLimiter</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-relaxvelocitycorrection">relaxVelocityCorrection</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-klim">kLim</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-lambda">lambda</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-numberofmomcorr">numberOfMomCorr</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-consistent">consistent</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-urfcorr">urfCorr</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-volumesources">volumeSources</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#variable-volumesourcenames">volumeSourceNames</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setoptions">setOptions</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-settimeschemeoption">setTimeSchemeOption</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setconvectionimplicit">setConvectionImplicit</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setconvectionoption">setConvectionOption</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setboundedcorrection">setBoundedCorrection</a>
      
      <a class="list-group-item" href="../type/optionsdict.html#boundprocedure-setprimecorrections">setPrimeCorrections</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nonorthmethod"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nonOrthMethod</strong></td><td></td><td></td><td><p>Flag for the non-orthogonal corretion option</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-interpopt"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>interpOpt</strong></td><td></td><td></td><td><p>Flag for the interpolation option</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gradopt"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>gradOpt</strong></td><td></td><td></td><td><p>Flag for the gradient option, will set the defaults for all fields</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-convopt"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td></td><td></td><td><p>Flag for the convection option, will set the defaults for all the equations</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ncorr"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>nCorr</strong></td><td></td><td></td><td><p>Number of non-orthogonal corrections</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-git"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>git</strong></td><td></td><td></td><td><p>Number of skewness corrections for the Green-Gauss Gradient</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-skwopt"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>skwOpt</strong></td><td></td><td></td><td><p>Falg for the Skewness-Corrections</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-forceopt"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>forceOpt</strong></td><td></td><td></td><td><p>Flag for the type of momentum forcing</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gradlim"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>gradLim</strong></td><td></td><td></td><td><p>Flag for the limited version of the gradients</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gradientfacelimiter"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>gradientFaceLimiter</strong></td><td></td><td></td><td><p>gradient limiter for tvd Green-Gauss gradient</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-relaxvelocitycorrection"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>relaxVelocityCorrection</strong></td><td></td><td></td><td><p>relax the velocity correction with urf*gradPp</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-klim"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>kLim</strong></td><td></td><td></td><td><p>For the limited gradients, this varaible expresses the amount of limitation (0: not limited, 1:fully limited)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-lambda"></span>real,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>lambda</strong></td><td></td><td></td><td><p>Cross diffusion limiter</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofmomcorr"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfMomCorr</strong></td><td></td><td></td><td><p>number of piso momentum corrections</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-consistent"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>consistent</strong></td><td></td><td></td><td><p>flag for SIMPEC</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-urfcorr"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>urfCorr</strong></td><td></td><td></td><td><p>flag for the under relaxation correction in the momentum interpolation</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-volumesources"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>volumeSources</strong></td><td></td><td></td><td><p>flag for volume sources</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-volumesourcenames"></span>character(len=50),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>volumeSourceNames</strong></td><td></td><td></td><td><p>volume sources names to be added in the equation rhs</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setoptions"></span><h3>procedure, public :: <strong>setOptions</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setoptions.html'>setOptions</a>(this)
    
    
   
</h3>
    







<p>setOptions fills the dictionary and ssociated flags.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/optionsdict.html'>optionsDict</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-settimeschemeoption"></span><h3>procedure, public :: <strong>setTimeSchemeOption</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/settimeschemeoption.html'>setTimeSchemeOption</a>(this, eqName, timeOptFlag, timeOpt)
    
    
   
</h3>
    







<p>setTimeSchemeOption sets the time scheme option according to the value in the dictionary</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/optionsdict.html'>optionsDict</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>eqName</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>timeOptFlag</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=:),</td>
  <td></td>
  <td></td>
  
  <td>allocatable</td><td>::</td>
  <td><strong>timeOpt</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setconvectionimplicit"></span><h3>procedure, public :: <strong>setConvectionImplicit</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setconvectionimplicit.html'>setConvectionImplicit</a>(this, eqName, convImp)
    
    
   
</h3>
    







<p>setConvectionImplicit sets the flag to active the fully implict thretment of the convective term
according to the value in the dictionary</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/optionsdict.html'>optionsDict</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>eqName</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convImp</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setconvectionoption"></span><h3>procedure, public :: <strong>setConvectionOption</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setconvectionoption.html'>setConvectionOption</a>(this, localConvOpt, convOptFlag)
    
    
   
</h3>
    







<p>setConvectionOption sets convective scheme option according to the value in the dictionary.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/optionsdict.html'>optionsDict</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>localConvOpt</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOptFlag</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setboundedcorrection"></span><h3>procedure, public :: <strong>setBoundedCorrection</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setboundedcorrection.html'>setBoundedCorrection</a>(this, eqName, boundedCorr)
    
    
   
</h3>
    







<p>setBoundedCorrection sets the flag to add the bounded correction according to the value in the dictionary</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/optionsdict.html'>optionsDict</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>eqName</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>boundedCorr</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setprimecorrections"></span><h3>procedure, public :: <strong>setPrimeCorrections</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setprimecorrections.html'>setPrimeCorrections</a>(this)
    
    
   
</h3>
    







<p>setPrimeCorrections sets the number of prime correcions according to the value in the dictionary.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/optionsdict.html'>optionsDict</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>